Download it now!
Bug 106701 - FILEOPEN: Incorrect column alignment in table
Summary: FILEOPEN: Incorrect column alignment in table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-03-22 15:44 UTC by Xisco Faulí
Modified: 2017-05-18 16:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison (165.42 KB, image/png)
2017-03-22 15:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-03-22 15:44:02 UTC
Created attachment 132076 [details]
comparison

Steps to reproduce:
1. Open attachment 96556 [details] from bug 76747
2. Check section 'Document Version Control'

Observed behaviour: third column's alignment is incorrect. Check screenshot

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 4ba483beccc99d336d0e0bec47b5fd6823b16c16
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-03-22 15:45:28 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2016-12-31 14:45:50 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-01-18 09:05:28 (GMT)
commit	441d7e046df36900bbf14b37277b15d615f67641 (patch)
tree	05df1fb77bab72e79abbf4674198be59b80a8c23
parent	b7388a7483da5cffdc4eef6c0474b98c9e5f5af0 (diff)
tdf#35021 TabOverMargin: support LEFT tabs also

Bisected with bibisect-linux-64-5.4.

Adding Cc: to Justin Luth
Comment 2 Commit Notification 2017-03-31 06:02:37 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5251e7988a3bb1cfccff54eccf7fdd7621c4627c

tdf#106701 tabOverMargin: only affect specified tabstops, not autotab

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.